Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.threetone.in/v1/service-accounts/{service_account_user_id}/api-keys
import requests url = "https://api.threetone.in/v1/service-accounts/{service_account_user_id}/api-keys" response = requests.get(url) print(response.text)
const options = {method: 'GET'}; fetch('https://api.threetone.in/v1/service-accounts/{service_account_user_id}/api-keys', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "api-keys": [ { "name": "<string>", "hint": "<string>", "key_id": "<string>", "service_account_user_id": "<string>", "hashed_xi_api_key": "<string>", "created_at_unix": 123, "is_disabled": false, "permissions": [ "models_read" ], "disable_reason": "trial_ended", "credit_limit": 123, "credit_count": 123, "allowed_ips": [ "<string>" ], "third_party_disable_allowed": true } ] }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Get all API keys for a service account
Your API key for programmatic access. Send it in the x-api-key header; you can create and manage keys from the Developers page.
Successful Response
Show child attributes